<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE invoice_masters (
                id					               	BIGINT GENERATED always AS IDENTITY PRIMARY KEY,

                receiving_plant					    TEXT DEFAULT NULL,
                receiving_plant_name			    TEXT DEFAULT NULL,
                transit_days                        TEXT DEFAULT NULL,
                transport_name                      TEXT DEFAULT NULL,

                created_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                created_by							TEXT DEFAULT NULL,
                updated_by							TEXT DEFAULT NULL,
                deleted_at			                TIMESTAMP
            );
        SQL;
        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('invoice_masters');
    }
};
